/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo svg {
  width: 34px;
  height: 24px;
}

.app-brand-text.demo {
  font-size: 1.375rem;
}

/* ! For .layout-navbar-fixed added fix padding top to .layout-page */
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 72px !important;
}
/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

/* Dropdown buttons going out of small screens */
@media (max-width: 576px) {
  #dropdown-variation-demo .btn-group .text-truncate {
    width: 254px;
    position: relative;
  }
  #dropdown-variation-demo .btn-group .text-truncate::after {
    position: absolute;
    top: 45%;
    right: 0.65rem;
  }
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}



/* DxGrid paging and search styling */
div :not(.dxbl-btn-plain-toolbar) > .dxbl-btn-group > .dxbl-btn-group > .dxbl-btn-split:not(:last-child):not(.dxbl-btn-last),
div :not(.dxbl-btn-plain-toolbar) > .dxbl-btn-group > .dxbl-btn-group > .dxbl-btn:not(:last-child):not(.dxbl-btn-last),
div :not(.dxbl-btn-plain-toolbar) > .dxbl-btn-group > .dxbl-btn-split:not(:last-child):not(.dxbl-btn-last),
div :not(.dxbl-btn-plain-toolbar) > .dxbl-btn-group > .dxbl-btn:not(:last-child):not(.dxbl-btn-last) {
    margin-right: 10px;
    border-radius: .375rem
}

div .dxbl-grid-top-panel {
    background-color: var(--bs-card-bg);
}

    div .dxbl-grid-top-panel .dxbl-grid-search-box-container {
        padding-right: 0px;
    }

div .dxbl-grid {
    border-top: 0px;
}

div .dxbl-pager-container .dxbl-btn.dxbl-btn-outline-secondary.dxbl-pager-page-btn.waves-effect {
    border-color: rgba(0,0,0,0);
    font-size: .9375rem;
    line-height: 1.375;
    border-radius: .375rem;
    border-top-left-radius: 6px;
    padding-left: 13px;
    padding-right: 13px;
}


.fs-grid-icon {
    color: var(--bs-custom-link-color);
}

div .dxbl-pager > .dxbl-btn.dxbl-btn-outline-secondary.dxbl-pager-page-btn:not(.dxbl-disabled):not(:disabled):hover,
div .dxbl-pager > .dxbl-btn dxbl-btn-outline-secondary.waves-effect:not(.dxbl-disabled):not(:disabled):hover,
div .dxbl-pager > .dxbl-btn.dxbl-btn-outline-secondary:not(.dxbl-disabled):not(:disabled):hover {
    border-radius: .375rem;
    z-index: 2;
    color: var(--bs-pagination-hover-color);
    background-color: var(--bs-pagination-hover-bg);
    border-color: var(--bs-pagination-hover-border-color);
}

div .dxbl-grid-bottom-panel.dxbl-pager-container {
    padding-left: 0px;
    background-color: var(--bs-card-bg);
}

div .page-item.page-link {
    border-radius: var(--bs-pagination-border-radius)
}
